> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# private/get_trading_limits

> Retrieves trading limits and open order thresholds for a given currency and margin model.

Returns limits on open order count per instrument, total open order count, maximum future position sizes, and options constraints.

 

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fget_trading_limits)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /private/get_trading_limits
openapi: 3.1.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
  - name: Wallet
paths:
  /private/get_trading_limits:
    get:
      tags:
        - Account Management
        - Private
      description: >+
        Retrieves trading limits and open order thresholds for a given currency
        and margin model.


        Returns limits on open order count per instrument, total open order
        count, maximum future position sizes, and options constraints.

         

        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fget_trading_limits)

      parameters:
        - name: currency
          in: query
          description: The currency symbol
          required: true
          schema:
            $ref: '#/components/schemas/currency'
      requestBody:
        description: JSON-RPC request body
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 1
                  jsonrpc: '2.0'
                  method: private/get_trading_limits
                  params:
                    currency: BTC
      responses:
        '200':
          $ref: '#/components/responses/PrivateGetTradingLimitsResponse'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:accounts:read
components:
  schemas:
    currency:
      description: Currency, i.e `"BTC"`, `"ETH"`, `"USDC"`
      type: string
      enum:
        - BTC
        - ETH
        - USDC
        - USDT
        - EURR
    PrivateGetTradingLimitsResponse:
      type: object
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          type: string
          enum:
            - '2.0'
        result:
          type: object
          properties:
            currency:
              description: Currency code
              type: string
            max_future_open_orders:
              description: Maximum open future orders
              type: integer
            max_future_open_orders_size:
              description: Maximum future open orders size
              type: number
            max_future_position_size:
              description: Maximum future position size
              type: number
            max_open_orders_in_instrument:
              description: Maximum open orders per instrument
              type: integer
            max_option_open_orders:
              description: Maximum open option orders
              type: integer
            max_option_open_orders_size:
              description: Maximum option open orders size
              type: number
            max_risk_reducing_orders:
              description: Maximum risk reducing orders
              type: integer
            max_total_open_orders:
              description: Maximum total open orders
              type: integer
            max_total_short_options_positions:
              description: Maximum short options positions
              type: number
            portfolio_margining_enabled:
              description: Portfolio margining model status
              type: boolean
          required:
            - currency
            - portfolio_margining_enabled
      required:
        - jsonrpc
        - result
  responses:
    PrivateGetTradingLimitsResponse:
      description: Success response
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 1
                jsonrpc: '2.0'
                result:
                  currency: BTC
                  max_future_position_size: 5000000
                  max_open_orders_in_instrument: 100
                  max_total_open_orders: 1000
                  max_total_short_options_positions: 500000
                  portfolio_margining_enabled: false
          schema:
            $ref: '#/components/schemas/PrivateGetTradingLimitsResponse'
  securitySchemes:
    ApiKey:
      description: >-
        Call `public/auth` with `grant_type: coinbase_cdp` and a CDP JWT. Send
        the returned `access_token` as `Authorization: Bearer`.
      scheme: bearer
      type: http
    OAuth2:
      description: >-
        Call `public/auth` with `grant_type: coinbase_oauth2` and an OAuth
        access token. Send the returned `access_token` as `Authorization:
        Bearer`.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          scopes:
            wallet:accounts:read: View your accounts.
            wallet:accounts:update: Authorize `wallet:accounts:update` operations.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:payment-methods:read: View your payment methods.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
          tokenUrl: https://login.coinbase.com/oauth2/token
      type: oauth2

````